from parallel import Parallel
client = Parallel()
task_run = client.task_run.retrieve("run_id")
print(task_run.status)import Parallel from "parallel-web";
const client = new Parallel();
const taskRun = await client.taskRun.retrieve('run_id');
console.log(taskRun.status);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/runs/{run_id}")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/runs/{run_id} \
--header 'x-api-key: <api-key>'{
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "running",
"is_active": true,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Run id not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Retrieve Task Run
Retrieves run status by run_id.
The run result is available from the /result endpoint.
from parallel import Parallel
client = Parallel()
task_run = client.task_run.retrieve("run_id")
print(task_run.status)import Parallel from "parallel-web";
const client = new Parallel();
const taskRun = await client.taskRun.retrieve('run_id');
console.log(taskRun.status);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/runs/{run_id}")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/runs/{run_id} \
--header 'x-api-key: <api-key>'{
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "running",
"is_active": true,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Run id not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Authorizations
Path Parameters
Response
Successful Response
Status of a task run.
ID of the task run.
"trun_e0083b6aac0544eb8686e8d2a76533d2"
Identifier for this interaction. Pass this value as previous_interaction_id to reuse context for a future request.
"trun_e0083b6aac0544eb8686e8d2a76533d2"
Status of the run.
queued, action_required, running, completed, failed, cancelling, cancelled "queued"
"action_required"
"running"
"completed"
"failed"
"cancelling"
"cancelled"
Whether the run is currently active, i.e. status is one of {'cancelling', 'queued', 'running'}.
Processor used for the run.
"base"
Timestamp of the creation of the task, as an RFC 3339 string.
"2025-04-24T18:56:22.513132Z"
Timestamp of the last modification to the task, as an RFC 3339 string.
"2025-04-24T18:56:22.513132Z"
Warnings for the run, if any.
Show child attributes
Show child attributes
[]
Error for the run, present only if status is 'failed'.
Show child attributes
Show child attributes
User-provided metadata stored with the run.
Show child attributes
Show child attributes
{}
ID of the taskgroup to which the run belongs.